"""Add staff model

Revision ID: c75984d47182
Revises: 2b698bb45c09
Create Date: 2023-04-19 13:49:31.191589

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c75984d47182'
down_revision = '2b698bb45c09'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'nren_staff',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('permanent_fte', sa.Numeric(asdecimal=False), nullable=False),
        sa.Column('subcontracted_fte', sa.Numeric(asdecimal=False), nullable=False),
        sa.Column('technical_fte', sa.Numeric(asdecimal=False), nullable=False),
        sa.Column('non_technical_fte', sa.Numeric(asdecimal=False), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_nren_staff_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', name=op.f('pk_nren_staff'))
    )


def downgrade():
    op.drop_table('nren_staff')
