"""Add sub org model

Revision ID: faf15719e2c6
Revises: 23ff6e527796
Create Date: 2023-04-24 12:44:41.741545

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'faf15719e2c6'
down_revision = '23ff6e527796'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'sub_organization',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('organization', sa.String(length=128), nullable=False),
        sa.Column('role', sa.String(length=128), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_sub_organization_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', 'organization', name=op.f('pk_sub_organization'))
    )


def downgrade():
    op.drop_table('sub_organization')
