from setuptools import setup, find_packages

setup(
    name='compendium-v2',
    version="0.17",
    author='GEANT',
    author_email='swd@geant.org',
    description='Flask and React project for displaying '
                'Compendium related reports and survey',
    url='https://gitlab.geant.org/geant-swd/compendium-v2',
    packages=find_packages(),
    install_requires=[
        'alembic~=1.10',
        'click~=8.1',
        'jsonschema~=4.17',
        'flask~=2.2',
        'flask-cors~=3.0',
        'flask-migrate~=4.0',
        'flask-sqlalchemy~=3.0',
        'openpyxl~=3.1',
        'psycopg2-binary~=2.9',
        'SQLAlchemy~=2.0',
        'sentry-sdk[flask]~=1.23'
    ],
    include_package_data=True,

    entry_points={
        'console_scripts': [
            'survey-publisher-v1=compendium_v2.publishers.survey_publisher_v1:cli',  # noqa
            'survey-publisher-2022=compendium_v2.publishers.survey_publisher_2022:cli',  # noqa
        ]
    }
)
